Subject: Re: [bug#48033] [PATCH] gnu: public-inbox: Update to 1.6.1.

From: Xinglu Chen <[email-masked]>
Date: Tue, 27 Apr 2021 22:21:22 +0200

On Mon, Apr 26 2021, Kyle Meyer wrote:

> Thanks for updating this.
>
> To add to your manual checks above (and to the passing test suite), I
> tested out public-inbox-httpd with some inboxes I have locally, and
> everything there seems to be working as expected.

Good to know.

> I think the perl-filesys-notify-simple input should be dropped because
> Filesys::Notify::Simple isn't used as of v1.6.0.  Linux::Inotify2 is
> used instead, but it doesn't look like that's packaged for Guix yet.  I
> believe public-inbox has some fallback behavior here so that
> public-inbox-watch is still functional, but ideally Linux::Inotify2
> would be added as an input with this update to 1.6.1.

Ok, I don't know much about Perl, but I will try to package
Linux::Inotify2.

> Otherwise, this patch looks good to me, but fwiw there are a few
> optional dependencies (already packaged in Guix) that could be added:
>
> * highlight (syntax highlight for associated code repositories)
> * perl-inline-c (nice to have for performance reasons)
> * perl-parse-recdescent (as of v1.6.0, used only for public-inbox-imapd)

Thanks for pointing these out, I will make sure to add them.

>>      (description
>> -     "public-inbox implements the sharing of an email inbox via git to
>> +     "public-inbox implements the sharing of an email inbox via Git to
>>  complement or replace traditional mailing lists.  Readers may read via NNTP,
>>  Atom feeds or HTML archives.")
>
> As of 1.6.0, public-inbox supports running an anonymous IMAP server, so
> it may be worth adding IMAP to this list.

Yeah, will do.

Thanks for the review!